## org.jboss.ejb.plugins
Interface InstancePoolFeeder

All Superinterfaces:
  XmlLoadable

All Known Implementing Classes:
  TimedInstancePoolFeeder

public interface InstancePoolFeeder
extends XmlLoadable

Interface for bean instances Pool Feeder

Version:
  $Revision: 1.1.2.1 $
Author:
  Vincent Harcq

Method Summary
`boolean` `isStarted()` Tells if the pool feeder is already started.
`void` `setInstancePool(InstancePool ip)` Sets the instance pool inside the pool feeder.
`void` `start()` Start the pool feeder.
`void` `stop()` Stop the pool feeder.

Methods inherited from interface org.jboss.metadata.XmlLoadable
`importXml`

Method Detail

### start

    public void start()

  Start the pool feeder.

### stop

    public void stop()

  Stop the pool feeder.

### setInstancePool

    public void setInstancePool(InstancePool ip)

  Sets the instance pool inside the pool feeder.

### isStarted

    public boolean isStarted()

  Tells if the pool feeder is already started. The reason is that we start the PF at first get() on the pool and we want to give a warning to the user when the pool is empty.

Copyright © 2000 The JBoss Organization. All Rights Reserved.